#ifndef COMMON_H
#define COMMON_H

#define DEBUG 0
#define APP_SIGNATURE	"application/x-vnd.Be-SpeedStepView"

typedef struct FreqConfig
{
	FreqConfig();
	
	FreqConfig& operator = (FreqConfig const& rightArgument)
	{
		dynamicFreq = rightArgument.dynamicFreq; 
		lowState = rightArgument.lowState;
		highState = rightArgument.highState;
		integrationTime = rightArgument.integrationTime;
		threshold = rightArgument.threshold;
		return *this;
	}
	
	bool		dynamicFreq; 
	bool		lowState;
	bool		highState;
	bigtime_t	integrationTime;
	float		threshold;
};


#endif